Skip to main content
GET
/
v1
/
webhooks
List webhooks
curl --request GET \
  --url https://api.reader.dev/v1/webhooks \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "url": "<string>",
      "name": "<string>",
      "events": [
        "<string>"
      ],
      "headers": {},
      "active": true,
      "deliveryStats": {
        "totalAttempts": 123,
        "failedDeliveries": 123,
        "lastDeliveryAt": "2023-11-07T05:31:56Z",
        "lastDeliveryStatus": 123
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "secret": "<string>"
    }
  ],
  "pagination": {
    "total": 1234,
    "skip": 0,
    "limit": 20,
    "hasMore": true,
    "next": "https://api.reader.dev/v1/jobs/abc?skip=20&limit=20"
  }
}
Returns all webhook subscriptions in the workspace, paginated. Secrets are stripped from list responses; they’re only visible on the create response.

Authorizations

x-api-key
string
header
required

Query Parameters

skip
integer
Required range: x >= 0
limit
integer
Required range: 1 <= x <= 100

Response

200 - application/json

Paginated list

success
enum<boolean>
required
Available options:
true
data
object[]
required
pagination
object
required